org.icefaces.ace.component.menuitem

## Interface IMenuItem

- All Known Implementing Classes:
    MenuItem, MenuItemBase

      public interface IMenuItem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getHelpText()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTarget()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getUrlEncoding()`
    `java.util.Map` | `getUrlParameters()`
    `boolean` | `isDisabled()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHelpText(java.lang.String helpText)`
    `void` | `setIcon(java.lang.String icon)`
    `void` | `setOnclick(java.lang.String onclick)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setUrlEncoding(java.lang.String urlEncoding)`
    `void` | `setUrlParameters(java.util.Map urlParameters)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setHelpText

          void setHelpText(java.lang.String helpText)

    - #### getHelpText

          java.lang.String getHelpText()

    - #### setIcon

          void setIcon(java.lang.String icon)

    - #### getIcon

          java.lang.String getIcon()

    - #### setOnclick

          void setOnclick(java.lang.String onclick)

    - #### getOnclick

          java.lang.String getOnclick()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTarget

          void setTarget(java.lang.String target)

    - #### getTarget

          java.lang.String getTarget()

    - #### setUrl

          void setUrl(java.lang.String url)

    - #### getUrl

          java.lang.String getUrl()

    - #### setUrlEncoding

          void setUrlEncoding(java.lang.String urlEncoding)

    - #### getUrlEncoding

          java.lang.String getUrlEncoding()

    - #### setUrlParameters

          void setUrlParameters(java.util.Map urlParameters)

    - #### getUrlParameters

          java.util.Map getUrlParameters()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.